#ifndef __COMMON_GPIO_H
#define __COMMON_GPIO_H

#include <stdbool.h>

//
void gpio_wdt_init(void);

//
void gpio_mbaddr_init(void);

//
uint8_t gpio_get_mbaddr(void);

//
bool gpio_check_mbaddr(uint8_t old_addr, uint8_t *new_addr);

// Ревизия платы
uint8_t gpio_get_rev(void);

//
void extern_wdt_togle(void);


#endif  // __COMMON_GPIO_H

